# Mod Packs for [Word Realms](http://www.wordrealms.com/) 1.1!

# LET ME PLAY MODS!

OK, do this:

1. Download and unzip [ffdec 6.1.1](https://www.free-decompiler.com/flash/download/ffdec_6.1.1.zip)
1. Download and unzip [the latest word-realms-mods](https://bitbucket.org/kevin_field/word-realms-mods/downloads/word-realms-mods-v0.99.zip)
1. Now, only if you're running Windows:
	1. download and install [cygwin](https://cygwin.com/install.html) (in the installer, search for `diffutils` (under Utils) and `patch` (under Devel) when asked which extra packages you want)
    1. double-click the `setup.bat` file in the word-realms-mods directory

That's it!  Now [launch word-realms-mods.sh](https://bitbucket.org/kevin_field/word-realms-mods/wiki/launch_word-realms-mods/) and follow the on-screen instructions.  Try to install the sample magic spatula mod.  If that works, installing other mods is as easy as downloading them to the mods/ directory, where they will be automatically detected and processed next time you run word-realms-mods.  Enjoy!

If you don't get that far, please [report your findings](https://bitbucket.org/kevin_field/word-realms-mods/issues?status=new&status=open).

## I WANT TO UPGRADE FROM A PREVIOUS word-realms-mods

Important!  You should first run your old version and choose "Restore the Original."  Otherwise, the new word-realms-mods will pick up whatever mod you were using and assume that to be the original.  (If you did this by mistake, simply copy the .swf file from the `original/` directory of the old word-realms-mods to the `original/` directory of the new one, and all will be well.)

Follow the same directions as above.  Any mods you had before are still in your old word-realms-mods/mods folder--just copy them to the new /mods folder and they're ready to use again!

***

## I WANT TO MAKE A MOD

[Do it.](https://bitbucket.org/kevin_field/word-realms-mods/wiki/create_and_package_a_mod/)

## CAVEATS

word-realms-mods is only intended to be used with one mod at a time.  Mods may or may not be compatible with one another.

When you install a mod, the game still operates using the same characters and other saved game data you have generated by playing it.  You may want to make new characters for new mods.  For example, you may run into trouble/quirks/crashes (not sure which, feel free to experiment and let me know) if you install a mod with a new item, your character acquires that item, and then you uninstall the mod and try to play with that character.

In any case, if you really care about your character and global game data, you may want to back it up before playing a modded Word Realms.

## DISCLAIMER

[Asymmetric is OK with add-ons](http://forums.kingdomofloathing.com/vb/showpost.php?p=4606312&postcount=5), but naturally, you are on your own with the result. Don't report bugs or anything else directly to them about your altered copy of the game. Also I make no warranties whatsoever, but feel free to share your experiences and make full use of [the issue tracker](https://bitbucket.org/kevin_field/word-realms-mods/issues?status=new&status=open).