@echo off

SET LF=^


REM important to have two blank lines after the SET command
<NUL set /p=nodosfilewarning=1^%LF%%LF%"/cygdrive/c/%cd:~3%\word-realms-mods.sh"> w

REM Look for cygwin entry in windows registry
reg query HKLM\Software\Cygwin\setup /v rootdir | FIND "REG_SZ" > %Temp%.\tmp-cygwin.reg

REM Check if something has been found
if not exist %Temp%.\tmp-cygwin.reg goto EXITNOCYGWIN

REM Get the dir from windows registry result
FOR /F "tokens=1-3" %%A IN ('TYPE %Temp%.\tmp-cygwin.reg') DO SET CYGWIN_ROOT=%%C

REM Remove temporary file
if exist %Temp%.\tmp-cygwin.reg del %Temp%.\tmp-cygwin.reg

REM Check if we have found something
if "%CYGWIN_ROOT%" == "" goto EXITNOCYGWIN

REM Put easy-start-script in Cygwin path
if not exist "%CYGWIN_ROOT%\home\%USERNAME%\" mkdir %CYGWIN_ROOT%\home\%USERNAME%\
copy w %CYGWIN_ROOT%\home\%USERNAME%\
set /p=Hit any key to continue...
exit

:EXITNOCYGWIN
echo no cygwin entry has been found in registry, if cygwin is installed please file bug report